
Ryzom - Feature # 1111

Status: Closed Priority: Normal
Author: kervala Category: Build
Created: 09/30/2010 Assignee: kervala
Updated: 01/08/2011 Due date:
Subject: Create a CMake macro to check if we should link to an external lib or not
Description

Some Linux distributions packages don't use --no-undefined when compiling libs so they could miss some symbols and that's up to the
application to manually link to missing libs.

To avoid overlinking, we should create a macro which checks for some symbols and library names and tell if we need to manually link
or not.

History
#1 - 10/04/2010 10:06 pm - kervala
- % Done changed from 0 to 50

That's working under Linux at least :)

We need to check under Mac OS X.

#2 - 10/14/2010 07:02 pm - kervala
- Status changed from Assigned to Resolved
- Target version set to Version 0.8.0
- % Done changed from 50 to 100

That's working too under Mac OS

#3 - 01/08/2011 06:54 pm - kervala
- Status changed from Resolved to Closed
